Bug 126210 - Machine crash and Memory leak when copying a large 7G directory to another place
Machine crash and Memory leak when copying a large 7G directory to another place
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Staubach
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-17 12:04 EDT by Tony
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-12 15:31:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (209.79 KB, text/plain)
2004-07-06 12:23 EDT, Tony
no flags Details

  None (edit)
Description Tony 2004-06-17 12:04:20 EDT
Description of problem:

Memory leak when copying a large 7G directory to the same disk or
another disk. Machines freezes when repeat the copying process another
time

Version-Release number of selected component (if applicable):

Linux 2.4.21-15.ELsmp

How reproducible:
100%

Steps to Reproduce:
1.cp -r /7GB_large_directory
2.cp -r /7GB_large_directory
3.
  
Actual results:

Machine freezes

Expected results:


Additional info:

WS3 on Dell P4 3.4GHz, 1.0G Mem, 2.0G Swap, 256M Video
Comment 1 Ernie Petrides 2004-06-17 20:51:48 EDT
Could you please attach console output with oops/panic data?
Also, what file system type is supporting the target directory?
Comment 2 Tony 2004-06-29 11:15:04 EDT
Ernie ,
How do I get the console output with oops/panic data? The machine is 
frozen and has to be hard rebooted by swith power off and on. Please 
advise. Thanks.
Comment 3 Tony 2004-07-06 12:23:49 EDT
Created attachment 101658 [details]
/var/log/messages
Comment 4 Trenton 2004-09-21 13:09:45 EDT
What's the status of this bug?  I have a Dell 2650 with 3 GB RAM 
running RHAS3 kernel 2.4.21-20. When I copy using cp a ~ 1 GB file 
from one directory to another on the same disk, memory use goes up by 
about 1 GB and stays up even after the operation is done. I 
understand that the memory is used by a disk cache for later improved 
copy performance.  But the memory never seems to get released and 
another large copy will use up all the memory, often causing a system 
hang (frozen screen).  Does cp really have a memory leak for large 
files? 
I tried the following test: 
dd if=/dev/zero of=/tmp/testfile bs=1M count=1024 ; rm /tmp/testfile
which I got from Bug 58681, and the memory used by this operation was 
freed up, but the memory used by the previous 1 GB cp is still shown 
as used.
Comment 5 Ernie Petrides 2005-09-08 20:59:41 EDT
Tony, please work with Customer Support to get the required data (and
then attach it here).  Also, please let us know if this problem occurs
with a recent RHEL3 release (U5 or later).  Thanks in advance.

Reassigning to PeterS.

Note You need to log in before you can comment on or make changes to this bug.